
Redmine - Defect #25064

Issue description edit link corrupted in low resolution

2017-02-14 10:20 - Vasili Korol

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.3.4   

Resolution: Fixed Affected version: 3.2.4

Description

When editing an issue in a low resolution (width < 900px), the "Edit" link loses it's icon and is truncated to "dit" (see image)

Environment:

  Redmine version                3.2.4.stable

  Ruby version                   2.0.0-p384 (2014-01-12) [x86_64-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  advanced_roadmap_v2            2.4.2

  redmine-error.jpg 

Associated revisions

Revision 16627 - 2017-06-07 00:05 - Jean-Philippe Lang

Fix edit description link in low resolution (#25064).

Patch by Felix Gliesche.

Revision 16634 - 2017-06-07 21:37 - Jean-Philippe Lang

Merged r16627 (#25064).

History

#1 - 2017-02-14 10:38 - Go MAEDA

- Category set to UI - Responsive

I confirmed the problem with Chrome 56.0.2924.87 (Mac).

No problem with Firefox or Safari.

#2 - 2017-02-14 10:48 - Vasili Korol

Indeed. I only see this in Chrome (56.0.2924.87), but not in Firefox (51.0.1). Both in Linux.

Safari 10 does not show the issue either (in iOS)

#3 - 2017-02-15 11:30 - Mischa The Evil

- Status changed from New to Confirmed

Go MAEDA wrote:

I confirmed the problem with Chrome 56.0.2924.87 (Mac).

No problem with Firefox or Safari.

 Vasili Korol wrote:
Indeed. I only see this in Chrome (56.0.2924.87), but not in Firefox (51.0.1). Both in Linux.

Safari 10 does not show the issue either (in iOS)

 Based on these comments this issue is confirmed, setting status as such.

#4 - 2017-05-30 10:57 - Felix Gliesche

- File 0001-Fix-unintended-word-wrap-for-edit-link.patch added

The problem is the attribute:

word-wrap: break-word;

 of the .box that wraps this form. This leads to a line break for the specified element.

I am attaching a patch that resets the word-wrap for this element for the mobile resolution.

#5 - 2017-05-30 11:09 - Vasili Korol

Applying the styles from the patch above fixes the problem in Redmine 3.2.4 in Chrome 58.0.3029.110.

#6 - 2017-05-30 11:23 - Go MAEDA

- Target version set to 3.3.4

Thank you for posting the patch. The problem was fixed.

Setting target version to 3.3.4 (merging the patch to 3.2-stable branch requires manual merge).

#7 - 2017-06-07 00:06 - Jean-Philippe Lang

- Subject changed from Corrupt layout on the issue editing page in low resolution to Issue description edit link corrupted in low resolution

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#8 - 2017-06-07 11:38 - Sharique Sarwar

- File GROUP FORMATION.docx added

#9 - 2017-06-07 11:39 - Go MAEDA

- File deleted (GROUP FORMATION.docx)

#10 - 2017-06-07 21:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

redmine-error.jpg 146 KB 2017-02-14 Vasili Korol

0001-Fix-unintended-word-wrap-for-edit-link.patch 753 Bytes 2017-05-30 Felix Gliesche
